<?php	
	
if (isset($_POST['ACTION'])) {		
	$action = $_POST['ACTION'];
} else {
	$action = 'NO_ACTION';
}

$message = '';
if ($action=='INSERT') {
	include('../includes/default.include.php');
	try 
	{
		$item = new Item();
		$item->setItemId($_POST['itemId']);
		$item->setTitle($_POST['title']);
		$item->setIdentifier($_POST['identifier']);
		$item->setCreator($_POST['creator']);
		$item->setDescription($_POST['description']);
		$item->setDate($_POST['date']);
		$item->setSubject($_POST['subject']);
		$item->setLanguage($_POST['language']);
		$item->setFormat($_POST['format']);
		$item->setType($_POST['type']);
		$item->setContributor($_POST['contributor']);
		$item->setCoverage($_POST['coverage']);
		$item->setPublisher($_POST['publisher']);
		$item->setRelation($_POST['relation']);
		$item->setRights($_POST['rights']);
		$item->setSource($_POST['source']);
		$item->setTextcontents($_POST['textcontents']);
		
		$binFileName = $_FILES['binFile']['tmp_name'];

		$encodedBin64 = '';	
		if($handle=fopen($binFileName, "r")){
			$binFileData = fread($handle, filesize($binFileName));    		
    		fclose($handle);
    		
			$encodedBin64 = base64_encode($binFileData);    		
    		$item->setBase64bincontents($encodedBin64);
    		$item->setFilename($_FILES['binFile']['name']);    	
    		$item->setFormat($_FILES['binFile']['type']);
    	}
	    	
		
		if ((is_numeric($item->getItemId()))&&($item->getItemId()!=0)) {
			$result = $recWS->insertItem($item);				
		} else {
			$result = $recWS->insertSerialItem($item);
		}
		
		if ($result==1) {
			$message = "Registro inserido com sucesso!";
		} else {
			$message = "Erro ao inserir registro!";
		}
			
	}
	catch (Exception $e) 
		{ echo $e->getMessage(); }
		
}  


include('../includes/top.php');

?>


<h2>Inserir Item</h2>

<b><?php echo $message . '<br>'; ?></b>

<form name="insertItem" action="insertItem.php" method="post" enctype="multipart/form-data"> 	
	<input type="hidden" name="ACTION" value="INSERT" /> 	
	<table border="0" style="font: verdana"><tr bgcolor="#000066" style="color: #FFFFFF"><td colspan=2><b>Item:</b></td></tr>	
		
		<tr><td bgcolor=#E1E1E1><b>Item Id:</b></td><td><input type="text" name="itemId" size="15" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Identificador:</b></td><td><input type="text" name="identifier" size="60" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Ttulo:</b></td><td><input type="text" name="title" size="60" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Autor:</b></td><td><input type="text" name="creator" size="40" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Descrio:</b></td><td><textarea name="description" cols="50" rows="3"></textarea></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Assunto:</b></td><td><textarea name="subject" cols="50" rows="2"></textarea></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Relaes:</b></td><td><textarea name="relation" cols="30" rows="3"></textarea></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Linguagem:</b></td><td><input type="text" name="language" size="40" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Tipo:</b></td><td><input type="text" name="type" size="40" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Formato:</b></td><td><input type="text" name="format" size="40" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Direitos Autorais:</b></td><td><input type="text" name="rights" size="40" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Publicao:</b></td><td><input type="text" name="publisher" size="50" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Cobertura:</b></td><td><input type="text" name="coverage" size="50" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Fonte:</b></td><td><input type="text" name="source" size="50" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Contribuio:</b></td><td><input type="text" name="contributor" size="50" maxlength="256"></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Data:</b></td><td><input type="text" name="date" size="50" maxlength="256"></td></tr>		
		<tr><td bgcolor=#E1E1E1><b>Contedo Textual:</b></td><td><textarea name="textcontents" cols="50" rows="10"></textarea></td></tr>
		<tr><td bgcolor=#E1E1E1><b>Contedo Binrio:</b></td><td><input type="file" name="binFile" size="20"></td></tr>
		<tr><td colspan=2><center><input type="submit" value="Inserir"> <input type="reset" value="Limpar"></center></td></tr>	 
	</table>
</form>		

		  
<?php

if ($action=='INSERT') {
	echo "<br><br><hr><br>";
	//$recWS->dispalyResult();
	//$recWS->debugCall();		
}
					   
include('../includes/bottom.php');

?>
