<?php											  
require_once('nusoap/nusoap.php');


class SuperRecommenderWSProxy {
	
	protected $wsdlLocal;    					  
	protected $soapCli;
	protected $proxy; 
						
	
	//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    //   Mtodos utilitrios para chamada, display result e debug dos mtodos do WebService	
    //++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	 
	
	
	protected function checkCall($result)	{	   		
		  $soapErr = $this->proxy->getError();	  
		  $this->lastResult = $result;	   
		  if ($soapErr) 
		     {   throw new Exception("Erro ao realizar chamada aos mtodos do Web Service RecommenderWS! [$soapErr] ");  } 
		  if (isset($result['return'])) {		  
		  	return $result['return'];
		  } else {
		  	return array();
		  }	 
	  }
	  
	  public function debugCall()
	  {
			echo '<h2>Request</h2>';
			echo  '<pre>' . htmlspecialchars($this->proxy->request, ENT_QUOTES) . '</pre>';
			echo  '<h2>Response</h2>';
			echo  '<pre>' . htmlspecialchars($this->proxy->response, ENT_QUOTES) . '</pre>';
			echo  '<h2>Debug</h2>';
			echo  '<pre>' . htmlspecialchars($this->proxy->debug_str, ENT_QUOTES) . '</pre>';
	  } 
	  
	  public function dispalyResult()
	  {
	   		echo '<h2>Result</h2><pre>';
        	print_r($this->lastResult);
    		echo '</pre>';
	  }
	  
	  
}	  

?>